<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hc.business.mapper.ZccmCourseTypeMapper">

    <resultMap type="zccmcourseType" id="CourseTypeMap">
        <result property="courseTypeId" column="course_type_id" jdbcType="INTEGER"/>
        <result property="courseName" column="course_name" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        course_type_id,
           course_name
    </sql>

    <select id="queryAllByCourseName" resultMap="CourseTypeMap">
        SELECT
        <include refid="Base_Column_List"/>
        FROM zccm_course_type
        WHERE course_name = #{courseName}
    </select>


</mapper>